var visualRegressionConfig = Cypress.env('visualRegression');
visualRegressionConfig.baseDirectory = './cypress/snapshots/alternative-base';
visualRegressionConfig.diffDirectory = './cypress/snapshots/alternative-diff';
visualRegressionConfig.generateDiff = 'always';
describe('Visual Regression Example with setting paths by environment variables', {
    env: visualRegressionConfig
}, function () {
    it('take screenshot with parent command', function () {
        if (Cypress.env('visualRegression').type === 'base') {
            cy.visit('./cypress/web/01.html');
            cy.get('H1').contains('Hello, World');
            cy.compareSnapshot('home');
            cy.task('doesExist', "".concat(visualRegressionConfig.baseDirectory, "/main.env.cy.ts/home.png")).should('be.true');
        }
        else {
            cy.visit('./cypress/web/01.html');
            cy.get('H1').contains('Hello, World');
            cy.compareSnapshot('home');
            cy.task('doesExist', "".concat(visualRegressionConfig.diffDirectory, "/main.env.cy.ts/home.png")).should('be.true');
        }
    });
    it('take screenshot with child command', function () {
        if (Cypress.env('visualRegression').type === 'base') {
            cy.visit('./cypress/web/01.html');
            cy.get('H1').contains('Hello, World').compareSnapshot('home-child');
            cy.task('doesExist', "".concat(visualRegressionConfig.baseDirectory, "/main.env.cy.ts/home-child.png")).should('be.true');
        }
        else {
            cy.visit('./cypress/web/01.html');
            cy.get('H1').contains('Hello, World').compareSnapshot('home-child');
            cy.task('doesExist', "".concat(visualRegressionConfig.diffDirectory, "/main.env.cy.ts/home-child.png")).should('be.true');
        }
    });
});
